Bug 237040 - Remove obsolete makefiles
Remove obsolete makefiles
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Unknown (Show other bugs)
1.0.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-04-18 20:41 EDT by Noriko Hosoi
Modified: 2015-12-07 11:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Obsolete makefile list to be removed (2.41 KB, text/plain)
2007-04-18 20:51 EDT, Noriko Hosoi
no flags Details
cvs commit message (15.57 KB, text/plain)
2007-04-19 14:11 EDT, Noriko Hosoi
no flags Details

  None (edit)
Description Noriko Hosoi 2007-04-18 20:41:28 EDT
Description of problem:
Since we have completed migrating to autoconf/automake, we don't need the
obsolete makefiles.
Comment 1 Noriko Hosoi 2007-04-18 20:51:53 EDT
Created attachment 152974 [details]
Obsolete makefile list to be removed
Comment 2 Rich Megginson 2007-04-18 21:33:36 EDT
Nuke 'em!
Comment 3 Nathan Kinder 2007-04-18 22:13:20 EDT
I've been waiting a long time to see these go away!  The list of files looks good!
Comment 4 Noriko Hosoi 2007-04-19 14:11:38 EDT
Created attachment 153041 [details]
cvs commit message

Thank you, Rich and Nathan, for reviewing the list.

Checked in into HEAD.
Comment 5 Noriko Hosoi 2007-11-29 13:34:08 EST
Hmmm, we may want to remove these, too... (maybe, except distrib, test-plugins,
examples, utest?)
$ pwd
/share/dev4/ds/ds80/builds/20071129.1/earthquake_rhel4/ldapserver
$ find . -name "[Mm]akefile"
./ldap/servers/plugins/distrib/Makefile
./ldap/servers/slapd/test-plugins/Makefile
./lib/base/Makefile
./lib/ldaputil/examples/Makefile
./lib/ldaputil/utest/Makefile
./lib/libaccess/utest/Makefile
./lib/libaccess/Makefile
./lib/libadmin/Makefile
./lib/libsi18n/Makefile
Comment 6 Noriko Hosoi 2007-11-30 13:12:34 EST
Removed 4 makefiles in the lib/* directories; left the sample/test makefiles.

Resolves: #237040
Summary: Remove obsolete makefiles
Description: removing leftover makefiles in the lib directory    
./lib/base/Makefile ./lib/libaccess/Makefile
    ./lib/libadmin/Makefile ./lib/libsi18n/Makefile
CVS: ----------------------------------------------------------------------
CVS: Enter Log.  Lines beginning with `CVS:' are removed automatically
CVS:
CVS: Committing in .
CVS:
CVS: Removed Files:
CVS:    ./lib/base/Makefile ./lib/libaccess/Makefile
CVS:    ./lib/libadmin/Makefile ./lib/libsi18n/Makefile
CVS: ----------------------------------------------------------------------
Removing ./lib/base/Makefile;
/cvs/dirsec/ldapserver/lib/base/Makefile,v  <--  Makefile
new revision: delete; previous revision: 1.8
done
Removing ./lib/libaccess/Makefile;
/cvs/dirsec/ldapserver/lib/libaccess/Makefile,v  <--  Makefile
new revision: delete; previous revision: 1.8
done
Removing ./lib/libadmin/Makefile;
/cvs/dirsec/ldapserver/lib/libadmin/Makefile,v  <--  Makefile
new revision: delete; previous revision: 1.11
done
Removing ./lib/libsi18n/Makefile;
/cvs/dirsec/ldapserver/lib/libsi18n/Makefile,v  <--  Makefile
new revision: delete; previous revision: 1.8
done

Verified that there are no obsolete makefiles (except for unit tests or samples).

Note You need to log in before you can comment on or make changes to this bug.